"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const consts_1 = require("@certusone/wormhole-sdk/lib/cjs/utils/consts");
exports.command = "chain-id <chain>";
exports.desc =
    "Print the wormhole chain ID integer associated with the specified chain name";
exports.builder = (y) => {
    return y.positional("chain", {
        describe: "Chain to query",
        type: "string",
        choices: Object.keys(consts_1.CHAINS),
    });
};
exports.handler = (argv) => {
    (0, consts_1.assertChain)(argv["chain"]);
    console.log((0, consts_1.coalesceChainId)(argv["chain"]));
};
