"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ethers_1 = require("ethers");
const utils_1 = require("../utils");
exports.command = "recover <digest> <signature>";
exports.desc = "Recover an address from a signature";
exports.builder = (y) => {
    return y
        .positional("digest", {
        describe: "digest",
        type: "string",
    })
        .positional("signature", {
        describe: "signature",
        type: "string",
    });
};
exports.handler = async (argv) => {
    console.log(ethers_1.ethers.utils.recoverAddress((0, utils_1.hex)(argv["digest"]), (0, utils_1.hex)(argv["signature"])));
};
