"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const consts_1 = require("@certusone/wormhole-sdk/lib/cjs/utils/consts");
const networks_1 = require("../networks");
exports.command = "rpc <network> <chain>";
exports.desc = "Print RPC address";
exports.builder = (y) => {
    return y
        .positional("network", {
        describe: "network",
        type: "string",
        choices: ["mainnet", "testnet", "devnet"],
    })
        .positional("chain", {
        describe: "Chain to query",
        type: "string",
        choices: Object.keys(consts_1.CHAINS),
    });
};
exports.handler = async (argv) => {
    (0, consts_1.assertChain)(argv["chain"]);
    const network = argv.network.toUpperCase();
    if (network !== "MAINNET" && network !== "TESTNET" && network !== "DEVNET") {
        throw Error(`Unknown network: ${network}`);
    }
    console.log(networks_1.NETWORKS[network][argv["chain"]].rpc);
};
