"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const Yargs_1 = require("../Yargs");
const build_1 = require("./build");
const deploy_1 = require("./deploy");
const init_1 = require("./init");
const publish_message_1 = require("./publish_message");
const setup_1 = require("./setup");
const utils_1 = require("./utils");
exports.command = "sui";
exports.desc = "Sui utilities";
exports.builder = function (y) {
    return new Yargs_1.Yargs(y)
        .addCommands(build_1.addBuildCommands)
        .addCommands(deploy_1.addDeployCommands)
        .addCommands(init_1.addInitCommands)
        .addCommands(publish_message_1.addPublishMessageCommands)
        .addCommands(setup_1.addSetupCommands)
        .addCommands(utils_1.addUtilsCommands)
        .y()
        .strict()
        .demandCommand();
};
