"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.hex = exports.evm_address = exports.checkBinary = exports.assertNetwork = void 0;
const child_process_1 = require("child_process");
const ethers_1 = require("ethers");
function assertNetwork(n) {
    if (n !== "MAINNET" && n !== "TESTNET" && n !== "DEVNET") {
        throw Error(`Unknown network: ${n}`);
    }
}
exports.assertNetwork = assertNetwork;
const checkBinary = (binaryName, readmeUrl) => {
    const binary = (0, child_process_1.spawnSync)(binaryName, ["--version"]);
    if (binary.status !== 0) {
        console.error(`${binaryName} is not installed. Please install ${binaryName} and try again.`);
        if (readmeUrl) {
            console.error(`See ${readmeUrl} for instructions.`);
        }
        process.exit(1);
    }
};
exports.checkBinary = checkBinary;
const evm_address = (x) => {
    return (0, exports.hex)(x).substring(2).padStart(64, "0");
};
exports.evm_address = evm_address;
const hex = (x) => {
    return ethers_1.ethers.utils.hexlify(x, { allowMissingPrefix: true });
};
exports.hex = hex;
